const request = require('request-promise');
const ObjectsToCsv = require('objects-to-csv');
const $ = require('cheerio');

let baseUrl = 'http://www.tabladecalorias.net/alimento/aceites-vegetales';

request(baseUrl).then(function(html){
    let pageLinks = [];
    //search all the ingredient-group urls
    $('#menu-calorie-tables li a',html).each(function(){
        let href = $(this).prop('href');
        pageLinks.push(href);
    });

    //foreach group-ingredient-page found, get each ingredient
    for(let i in pageLinks){
        let tipo = pageLinks[i].split('/').pop();
        request(pageLinks[i]).then(function(page){

            let rows = [];
            $('#calories-table tbody tr',page)
                .each(function(){
                    let row = [tipo];
                    $('td',this).each(function(){
                        if($(this).hasClass('food')){
                            row.push($('a',this).text());
                        }else {
                            row.push($('data',this).text());
                        }
                    });
                    rows.push(row);
                });
            let csv = new ObjectsToCsv(rows);
            // Save to file
            csv.toDisk('./data1.csv',{ append: true });

        });
    }



});









